import React from 'react';
import './style/index.less';
export interface SearchInputProps {
    id?: string;
    defaultValue?: string;
    value?: string;
    placeholder?: string;
    allowClear?: boolean | undefined;
    onFocus?: (event: React.FocusEvent<HTMLInputElement>) => void;
    onBlur?: (event: React.FocusEvent<HTMLInputElement>) => void;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    onPressEnter?: (event: React.KeyboardEvent<HTMLInputElement>) => void;
}
declare const SearchInput: {
    (props: SearchInputProps): JSX.Element;
    defaultProps: {
        placeholder: string;
    };
};
export default SearchInput;
